summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2015-10-19 10:49:30 +0200
committerLars Wendler <polynomial-c@gentoo.org>2015-10-19 10:49:41 +0200
commit2d3ba0825c41f10d2c7d833627fc55402f2c7668 (patch)
tree875b00a65db638062231d59e1f4cd1b330017ed5 /www-apache
parentsys-kernel/git-sources: Automated version bump to 4.3_rc6 (diff)
downloadgentoo-2d3ba0825c41f10d2c7d833627fc55402f2c7668.tar.gz
gentoo-2d3ba0825c41f10d2c7d833627fc55402f2c7668.tar.bz2
gentoo-2d3ba0825c41f10d2c7d833627fc55402f2c7668.zip
www-apache/mod_gnutls: Bump to version 0.7.1
Package-Manager: portage-2.2.23 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'www-apache')
-rw-r--r--www-apache/mod_gnutls/Manifest1
-rw-r--r--www-apache/mod_gnutls/files/mod_gnutls-0.7.1-apr_memcache_m4_dirty.patch31
-rw-r--r--www-apache/mod_gnutls/mod_gnutls-0.7.1.ebuild57
3 files changed, 89 insertions, 0 deletions
diff --git a/www-apache/mod_gnutls/Manifest b/www-apache/mod_gnutls/Manifest
index f48887656d7..f94e07aa765 100644
--- a/www-apache/mod_gnutls/Manifest
+++ b/www-apache/mod_gnutls/Manifest
@@ -1,2 +1,3 @@
DIST mod_gnutls-0.5.10.tar.bz2 245958 SHA256 469fea5f2f422c459b4153c1b959d5d62568d3ddf87f90ca6fe880c81b3b8374 SHA512 c23fb1380565dc90f805fc1e05f8f1dc4544def16e2740548dea0c575a3f5a1d4148ce3dabd886b90b3a275da9955a82789653861892bf311b605622cc96005e WHIRLPOOL 4266b21fcb9f026eeb24d4b26d56ec23b5c29f1cc7e554979c7644d7aeae9666d2cf6c0ecc1d30f9b50aa41063140fe792f900db7430643f2b9f23fe0823cb8c
DIST mod_gnutls-0.6.tar.gz 70522 SHA256 5fb2c79fd64f55faabde50c6ba3ef7b959825c8a6130152d00ca18f6d99bc041 SHA512 95e9d0e9bedaa46c5d74f97b95472f552004321f475679889844c8cd9bcff80780a610358a62ee3829159844f9ea87b525ea23eef0fc2aff028e87760b9563b9 WHIRLPOOL 2950abc6e59f8dd5d7fe8ee1b38e3ebd950539f6c880b76bced2ae57d66a312c6abd91c51eedac41709035680938aa27f181d19f1603c70a3310f84fec637e8d
+DIST mod_gnutls-0.7.1.tar.bz2 330390 SHA256 f20ad0d61131834f9f63cd3a171ce6f0031603efd3a233633433e8f4c946b3be SHA512 60e82b6c97974a8405dc1c8e429b7ba05c2bd25eda17150df0c4d07b7e2f4edda6b544b4b91431940464ffa5bdcb90a0b7aa1946e1f0a9afc7a89024e20dc2a5 WHIRLPOOL ea1f00d8184e05cf161cdcfc677f46443cffe6a7db160760e0c8bcfddebf8f1bd48af5930b8375add36f8d4dcf141eb1e29dce1c3eae2f9cd3cd73d65f3b67df
diff --git a/www-apache/mod_gnutls/files/mod_gnutls-0.7.1-apr_memcache_m4_dirty.patch b/www-apache/mod_gnutls/files/mod_gnutls-0.7.1-apr_memcache_m4_dirty.patch
new file mode 100644
index 00000000000..bc95fee5d59
--- /dev/null
+++ b/www-apache/mod_gnutls/files/mod_gnutls-0.7.1-apr_memcache_m4_dirty.patch
@@ -0,0 +1,31 @@
+--- mod_gnutls-0.7.1/m4/apr_memcache.m4
++++ mod_gnutls-0.7.1/m4/apr_memcache.m4
+@@ -40,23 +40,20 @@
+ if test -n "$apr_memcache_includes"; then
+ apr_memcache_includedir=$apr_memcache_includes
+ elif test -n "$apr_memcache_prefix"; then
+- apr_memcache_includedir=$apr_memcache_prefix/include/apr_memcache-0
++ apr_memcache_includedir=$apr_memcache_prefix/include/aprutil-1
+ else
+- apr_memcache_includedir=$includedir/apr_memcache-0
++ apr_memcache_includedir=$includedir/aprutil-1
+ fi
+
+ CFLAGS="-I$apr_memcache_includedir $CFLAGS"
+
+
+ AC_CHECK_LIB(
+- apr_memcache,
++ aprutil-1,
+ apr_memcache_create,
+ [
+- APR_MEMCACHE_LIBS="-lapr_memcache"
+- if test -n "$apr_memcache_libdir"; then
+- APR_MEMCACHE_LIBS="-R$apr_memcache_libdir -L$apr_memcache_libdir $APR_MEMCACHE_LIBS"
+- fi
+- APR_MEMCACHE_CFLAGS="-I$apr_memcache_includedir"
++ APR_MEMCACHE_LIBS="`apu-1-config --link-ld`"
++ APR_MEMCACHE_CFLAGS="`apu-1-config --includes`"
+ ]
+ )
+
diff --git a/www-apache/mod_gnutls/mod_gnutls-0.7.1.ebuild b/www-apache/mod_gnutls/mod_gnutls-0.7.1.ebuild
new file mode 100644
index 00000000000..0eeee8ddc13
--- /dev/null
+++ b/www-apache/mod_gnutls/mod_gnutls-0.7.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit apache-module autotools eutils
+
+DESCRIPTION="mod_gnutls uses GnuTLS to provide SSL/TLS encryption for Apache2, similarly to mod_ssl"
+HOMEPAGE="https://mod.gnutls.org/"
+SRC_URI="https://mod.gnutls.org/downloads/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND=">=net-libs/gnutls-2.10.0:="
+DEPEND="${CDEPEND}
+ test? ( app-crypt/monkeysphere )"
+RDEPEND="${CDEPEND}"
+
+# Fails because gpg-agent cannot be accessed
+RESTRICT="test"
+
+APACHE2_MOD_CONF="47_${PN}"
+APACHE2_MOD_DEFINE="GNUTLS"
+
+DOCFILES="CHANGELOG NOTICE README"
+
+need_apache2
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.7.1-apr_memcache_m4_dirty.patch"
+
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+
+ epatch_user
+ eautoreconf
+}
+
+src_configure() {
+ econf --with-apxs="${APXS}"
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ mv -f src/.libs/libmod_gnutls.so src/.libs/${PN}.so
+ keepdir /var/cache/${PN}
+ apache-module_src_install
+}
+
+src_test() {
+ emake -j1 check
+}